var storage = window.localStorage;
var notify;

function notificationOpenedCallback (jsonData) {

}

function updateButtons() {
    if (storage.getItem('gokano.notifiera') === null || storage.getItem('gokano.notifiera') == 'undefined') {
        storage.setItem('gokano.notifiera', 'on');
        console.log('Storage is null');
        notify = 'on';
    } else {
        console.log('Storage is not null');
        notify = storage.getItem('gokano.notifiera');
        if(notify === 'on'){
            window.plugins.OneSignal.setSubscription(true);
            $('#buttonOn').addClass('disabled');
            $('#buttonOff').removeClass('disabled');
        } else {
            window.plugins.OneSignal.setSubscription(false);
            $('#buttonOn').removeClass('disabled');
            $('#buttonOff').addClass('disabled');
        }
    }
}


function initAd(){
    if ( window.plugins && window.plugins.AdMob ) {

        var admobid = "";

        window.plugins.AdMob.setOptions( {
            publisherId: 'ca-app-pub-9358757714683164/8204881208',
            interstitialAdId: 'ca-app-pub-9358757714683164/5569472409',
            bannerAtTop: false, // set to true, to put banner at top
            overlap: false, // set to true, to allow banner overlap webview
            offsetTopBar: false, // set to true to avoid ios7 status bar overlap
            isTesting: false, // receiving test ad
            autoShow: true // auto show interstitial ad when loaded
        });

        // registerAdEvents();

    } else {
        alert( 'admob plugin not ready' );
    }
}


var app = {
    turnOnNotify: function() {
        if(notify === 'off'){
            storage.setItem('gokano.notifiera', 'on');
            updateButtons();
        }
    },
    turnOffNotify: function() {
        if(notify === 'on'){
            storage.setItem('gokano.notifiera', 'off');
            updateButtons();
        }
    },
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        // document.addEventListener("deviceready", this.onDeviceReady, false);
        document.addEventListener("deviceready", this.onDeviceReady, false);
        document.getElementById("buttonOn").addEventListener("click", this.turnOnNotify, false);
        document.getElementById("buttonOff").addEventListener("click", this.turnOffNotify, false);
    },
    onDeviceReady: function(){
        updateButtons();
        cordova.plugins.autoStart.enable();
        window.ga.startTrackerWithId('UA-86489111-1');
        window.ga.trackView('Main Screen');
        window.plugins.OneSignal.startInit("711ecc54-be5f-46a9-be72-bdd50b420ca4", "390368103516").inFocusDisplaying(window.plugins.OneSignal.OSInFocusDisplayOption.Notification).endInit();
        initAd();
        window.plugins.AdMob.createBannerView();
        window.plugins.AdMob.createInterstitialView();
    }

    // cordova.plugins.autoStart.enable();
    // cordova.plugins.backgroundMode.setDefaults({ text:'Spokojnie, Twoje szekle są bezpieczne.'});
    // window.plugin.backgroundMode.enable();
};

app.initialize();
